
package de.ivu.elect.presentation.wertelisten.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.wertelisten.WertelistenCreateView;

public class WertelistenCreateMenuItemEntry extends AbstractWertelistenMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.WERTELISTEN_CREATE;
  }

  @Override
  public String getTargetViewId() {
    return WertelistenCreateView.VIEW_ID;
  }

  @Override
  protected String getLabel() {
    return getMessage(getLabelKey(), getMeta().getEinzahlMessage());
  }

  @Override
  public String getLabelKey() {
    return "entity.create.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconCreate();
  }
}
